shell-conduit-5.0.0: Write shell scripts with Conduit

Safe Haskell | None
Language | Haskell2010

Data.Conduit.Shell.Segments

Description

Helpful segment combinators.

Synopsis

- strings :: forall (m :: Type -> Type). MonadUnliftIO m => Segment m () -> Segment m [String]
- texts :: forall (m :: Type -> Type). MonadUnliftIO m => Segment m () -> Segment m [Text]
- ignore :: forall (m :: Type -> Type). MonadUnliftIO m => Segment m () -> Segment m ()

# Documentation

strings :: forall (m :: Type -> Type). MonadUnliftIO m => Segment m () -> Segment m [String] Source #

Extract the `String` values from a segment.

texts :: forall (m :: Type -> Type). MonadUnliftIO m => Segment m () -> Segment m [Text] Source #

Extract the `Text` values from a segment.

ignore :: forall (m :: Type -> Type). MonadUnliftIO m => Segment m () -> Segment m () Source #

Ignore any output from a segment.